public class SkillEnvironmentalCharaIdFilter : ISkillEnvironmentalFilter
{
	public int Filtering(IBattlePlayerReadOnlyInfo playerInfo, SkillConditionCheckerOption option)
	{
		DataMgr dataMgr = GameMgr.GetIns().GetDataMgr();
		if (!playerInfo.IsPlayer)
		{
			return dataMgr.GetEnemyCharaId();
		}
		return dataMgr.GetPlayerCharaId();
	}

	public int FilteringPrePlay(IBattlePlayerReadOnlyInfo playerinfo, SkillConditionCheckerOption option)
	{
		return Filtering(playerinfo, option);
	}
}
